Index: main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser.py	(revision 12774)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser.py	(revision 12775)
@@ -23,9 +23,5 @@
 from waeup.ikoba.interfaces import MessageFactory as _
 from waeup.ikoba.browser.viewlets import PrimaryNavTab, ManageActionButton
-from waeup.ikoba.browser.layout import (
-    IkobaPage, IkobaEditFormPage, IkobaDisplayFormPage,
-    NullValidator, jsaction, action, UtilityView)
-from waeup.ikoba.utils.helpers import get_current_principal
-
+from waeup.ikoba.browser.layout import IkobaPage
 from waeup.ikoba.payments.interfaces import (
     IPaymentsContainer, IPayment, payment_states
@@ -192,5 +188,6 @@
             self.flash(_('Successfully removed: ${a}',
                 mapping={'a': ','.join(deleted)}))
-            ob_class = self.__implemented__.__name__.replace('waeup.ikoba.','')
+            ob_class = self.__implemented__.__name__.replace(
+                'waeup.ikoba.', '')
             self.context.logger.info(
                 '%s - removed: %s' % (ob_class, ','.join(deleted)))
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/payments/catalog.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/payments/catalog.py	(revision 12774)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/payments/catalog.py	(revision 12775)
@@ -19,5 +19,5 @@
 """
 import grok
-from hurry.query import Eq, Text
+from hurry.query import Eq
 from hurry.query.query import Query
 from zope.catalog.interfaces import ICatalog
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/payments/container.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/payments/container.py	(revision 12774)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/payments/container.py	(revision 12775)
@@ -45,5 +45,7 @@
         raise NotImplementedError()
 
+
 PaymentsContainer = attrs_to_fields(PaymentsContainer)
+
 
 class PaymentsPlugin(grok.GlobalUtility):
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_browser.py	(revision 12774)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_browser.py	(revision 12775)
@@ -1,4 +1,4 @@
 ## $Id: test_browser.py 12762 2015-03-14 13:49:29Z henrik $
-## 
+##
 ## Copyright (C) 2015 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -6,10 +6,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
@@ -22,8 +22,7 @@
 import os
 from decimal import Decimal
-from waeup.ikoba.testing import FunctionalLayer, FunctionalTestCase
+from waeup.ikoba.testing import FunctionalLayer
 from waeup.ikoba.payments.payment import Payment
 from waeup.ikoba.payments.interfaces import IPayer, IPayable
-from waeup.ikoba.browser.tests.test_pdf import samples_dir
 from waeup.ikoba.products.productoptions import ProductOption
 from waeup.ikoba.customers.tests.test_browser import CustomersFullSetup
@@ -67,5 +66,6 @@
         self.assertTrue('Empty search string' in self.browser.contents)
         self.browser.getControl(name="searchtype").value = ['payment_id']
-        self.browser.getControl(name="searchterm").value = self.payment.payment_id
+        self.browser.getControl(
+            name="searchterm").value = self.payment.payment_id
         self.browser.getControl("Find payment(s)").click()
         self.assertTrue(
@@ -82,4 +82,5 @@
         logcontent = open(logfile).read()
         self.assertTrue(
-            'INFO - zope.mgr - payments.browser.PaymentsContainerManagePage - removed: %s'
+            ('INFO - zope.mgr - payments.browser.'
+             'PaymentsContainerManagePage - removed: %s')
             % self.payment.payment_id in logcontent)
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_payment.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_payment.py	(revision 12774)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_payment.py	(revision 12775)
@@ -155,5 +155,5 @@
 
     def test_get_payments_from_payer_id(self):
-        # we can lookup payments.
+        # we can lookup payments from payer ids.
         self.getRootFolder()['app'] = Company()
         app = self.getRootFolder()['app']
@@ -161,5 +161,4 @@
         p1 = Payment(FakePayer(), FakePayable())
         app['payments']['1'] = p1
-        p_id = p1.payment_id
         result = get_payments_from_payer_id('PAYER_01')
         self.assertTrue(result[0] is p1)
@@ -167,5 +166,5 @@
 
     def test_get_payments_from_payable_id(self):
-        # we can lookup payments.
+        # we can lookup payments from payable ids.
         self.getRootFolder()['app'] = Company()
         app = self.getRootFolder()['app']
@@ -173,5 +172,4 @@
         p1 = Payment(FakePayer(), FakePayable())
         app['payments']['1'] = p1
-        p_id = p1.payment_id
         result = get_payments_from_payable_id('PAYABLE_01')
         self.assertTrue(result[0] is p1)