Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/payment.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/payment.py	(revision 12799)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/payment.py	(revision 12800)
@@ -254,13 +254,12 @@
 
     def __init__(
-            self, item_id=u"0", title=u"", amount=decimal.Decimal("0.00")):
+            self, title=u"", amount=decimal.Decimal("0.00")):
         super(PaymentItem, self).__init__()
-        self.item_id = item_id
         self.title = title
         self.amount = amount
 
     def __repr__(self):
-        result = "%s(item_id=%r, title=%r, amount=%r)" % (
-            self.__class__.__name__, self.item_id, self.title, self.amount)
+        result = "%s(title=%r, amount=%r)" % (
+            self.__class__.__name__, self.title, self.amount)
         return result
 
@@ -271,6 +270,5 @@
         ``(u'<ITEM_ID>', u'<TITLE>', u'<AMOUNT>')``.
         """
-        string = u"(u'%s', u'%s', u'%s')" % (
-            self.item_id, self.title, self.amount)
+        string = u"(u'%s', u'%s')" % (self.title, self.amount)
         string = string.replace("u'None'", "None")
         return string
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_export.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_export.py	(revision 12799)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_export.py	(revision 12800)
@@ -109,5 +109,5 @@
         self.assertMatches(
             '...2015-03-16 16:07:33.273297#,EUR,demo_creditcard,CON1,'
-            ',K1000000,,%s,"[(u\'0\', u\'Any product option\', u\'88.8\')]",'
+            ',K1000000,,%s,"[(u\'Any product option\', u\'88.8\')]",'
             '64,My Contract...' % self.payment.payment_id,
             result
@@ -126,5 +126,5 @@
         self.assertMatches(
             '...2015-03-16 16:07:33.273297#,EUR,demo_creditcard,CON1,'
-            ',K1000000,,%s,"[(u\'0\', u\'Any product option\', u\'88.8\')]",'
+            ',K1000000,,%s,"[(u\'Any product option\', u\'88.8\')]",'
             '64,My Contract...' % self.payment.payment_id,
             result
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_payment.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_payment.py	(revision 12799)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/tests/test_payment.py	(revision 12800)
@@ -21,4 +21,5 @@
 import re
 import unittest
+from decimal import Decimal
 from zope.component import (
     getUtilitiesFor, getSiteManager, queryUtility, getGlobalSiteManager,
@@ -52,6 +53,6 @@
 
 FAKE_PAYMENT_ITEMS = (
-    PaymentItem(u'ITEM1', u'Item title 1', decimal.Decimal("1.00")),
-    PaymentItem(u'ITEM2', u'Item title 2', decimal.Decimal("2.2")),
+    PaymentItem(u'Item title 1', decimal.Decimal("1.00")),
+    PaymentItem(u'Item title 2', decimal.Decimal("2.2")),
     )
 
@@ -375,5 +376,5 @@
         obj = PaymentItem()
         self.assertEqual(
-            obj.to_string(), u"(u'0', u'', u'0.00')")
+            obj.to_string(), u"(u'', u'0.00')")
 
     def test_to_string_none_values(self):
@@ -382,5 +383,5 @@
         obj.item_id = None
         self.assertEqual(
-            obj.to_string(), u"(None, u'', u'0.00')")
+            obj.to_string(), u"(u'', u'0.00')")
 
     def test_to_string_enocded_values(self):
@@ -389,5 +390,5 @@
         obj.title = u'ümläut'
         self.assertEqual(
-            obj.to_string(), u"(u'0', u'ümläut', u'0.00')")
+            obj.to_string(), u"(u'ümläut', u'0.00')")
 
     def test_repr(self):
@@ -396,20 +397,16 @@
         self.assertEqual(
             repr(obj),
-            "PaymentItem(item_id=u'0', title=u'', amount=Decimal('0.00'))")
+            "PaymentItem(title=u'', amount=Decimal('0.00'))")
 
     def test_repr_can_be_evaled(self):
         # we can eval() representations
-        obj = PaymentItem(
-            item_id=u'12', title=u'My Title', amount=decimal.Decimal("1.99"))
+        obj = PaymentItem(title=u'My Title', amount=decimal.Decimal("1.99"))
         representation = repr(obj)
         self.assertEqual(
             representation,
-            ("PaymentItem(item_id=u'12', title=u'My Title', "
-             "amount=Decimal('1.99'))")
+            "PaymentItem(title=u'My Title', amount=Decimal('1.99'))"
             )
-        from decimal import Decimal
         new_obj = eval(representation)
         assert new_obj is not obj
-        assert new_obj.item_id == obj.item_id == u"12"
         assert new_obj.title == obj.title == u"My Title"
         assert new_obj.amount == obj.amount == Decimal("1.99")