Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/authentication.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/authentication.py	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/authentication.py	(revision 12809)
@@ -111,5 +111,5 @@
     def checkPassword(self, password):
         """Check whether the given `password` matches the one stored by
-        customers or the temporary password set by officers.
+        customers or the temporary password set by the system.
 
         We additionally check if customer account has been suspended.
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser.py	(revision 12809)
@@ -820,5 +820,5 @@
     @property
     def title(self):
-        return "%s..." % self.context.document_id[:9]
+        return "%s" % self.context.document_id[:9]
 
 
@@ -1180,5 +1180,5 @@
     @property
     def title(self):
-        return "%s..." % self.context.contract_id[:9]
+        return "%s" % self.context.contract_id[:9]
 
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/contractsmanagepage.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/contractsmanagepage.pt	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/contractsmanagepage.pt	(revision 12809)
@@ -23,5 +23,6 @@
         <td>
           <a tal:attributes="href python: view.url(contract)">
-          <span tal:content="python: contract.contract_id[:9]">CONID</span>...</a>
+            <span tal:content="python: contract.contract_id[:9]">CONID</span>
+          </a>
         </td>
         <td>
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/documentsmanagepage.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/documentsmanagepage.pt	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/documentsmanagepage.pt	(revision 12809)
@@ -23,5 +23,6 @@
         <td>
           <a tal:attributes="href python: view.url(document)">
-          <span tal:content="python: document.document_id[:9]">DOCID</span>...</a>
+            <span tal:content="python: document.document_id[:9]">DOCID</span>
+          </a>
         </td>
         <td>
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/paymentspage.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/paymentspage.pt	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/browser_templates/paymentspage.pt	(revision 12809)
@@ -15,5 +15,5 @@
   <tbody>
     <tr tal:repeat="value view/payments">
-      <td><span tal:content="python: value[0].payment_id[:9]"></span>...</td>
+      <td tal:content="python: value[0].payment_id[:9]">PAYMENT_ID</td>
       <td tal:content="python: layout.formatDatetime(value[0].creation_date)">CREATION DATE</td>
       <td tal:content="python: layout.formatDatetime(value[0].payment_date)">PAYMENT DATE</td>
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/interfaces.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/interfaces.py	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/interfaces.py	(revision 12809)
@@ -143,5 +143,5 @@
         title = _(u'Email'),
         required = True,
-        constraint=validate_email,
+        constraint = validate_email,
         source = contextual_email_source,
         )
@@ -214,5 +214,5 @@
         title = _(u'Email Address'),
         required = True,
-        constraint=validate_email,
+        constraint = validate_email,
         )
 
@@ -242,5 +242,5 @@
         title = _(u'Email'),
         required = True,
-        constraint=validate_email,
+        constraint = validate_email,
         source = contextual_email_source,
         )
@@ -266,5 +266,5 @@
         title = _(u'Document Id'),
         required = False,
-        constraint=validate_uuid,
+        constraint = validate_uuid,
         )
 
@@ -321,5 +321,5 @@
         title = _(u'Contract Id'),
         required = False,
-        constraint=validate_uuid,
+        constraint = validate_uuid,
         )
 
@@ -333,8 +333,8 @@
         title = _(u'Options/Fees'),
         value_type = schema.Choice(
-            source=ProductOptionSourceFactory(),
+            source = ProductOptionSourceFactory(),
             required = True,
             ),
-        constraint=unique_currency,
+        constraint = unique_currency,
         required = False,
         readonly = False,
@@ -392,5 +392,5 @@
     product_options = schema.List(
         value_type = ProductOptionField(),
-        constraint=unique_currency,
+        constraint = unique_currency,
         required = False,
         readonly = False,
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_interfaces.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_interfaces.py	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_interfaces.py	(revision 12809)
@@ -134,5 +134,5 @@
         source = CustomerDocumentSource()
         result = source.factory.getTitle(object(), self.document)
-        self.assertEqual(result, u'DOC1... - My Sample Document')
+        self.assertEqual(result, u'DOC1 - My Sample Document')
 
     def test_getValues_RefereeSourceFactory(self):
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/vocabularies.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/vocabularies.py	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/vocabularies.py	(revision 12809)
@@ -195,5 +195,5 @@
 
     def getTitle(self, context, value):
-        return "%s... - %s" % (value.document_id[:9], value.title)
+        return "%s - %s" % (value.document_id[:9], value.title)
 
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser_templates/containermanagepage.pt	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser_templates/containermanagepage.pt	(revision 12809)
@@ -43,5 +43,5 @@
             <input type="checkbox" name="entries" tal:attributes="value python:value[0].__name__" />
           </td>
-          <td><span tal:content="python: value[0].payment_id[:9]"></span>...</td>
+          <td tal:content="python: value[0].payment_id[:9]">PAYMENT_ID</td>
           <td tal:content="python: layout.formatDatetime(value[0].creation_date)">CREATION DATE</td>
           <td tal:content="python: layout.formatDatetime(value[0].payment_date)">PAYMENT DATE</td>
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser_templates/containerpage.pt	(revision 12808)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/payments/browser_templates/containerpage.pt	(revision 12809)
@@ -38,5 +38,5 @@
     <tbody>
       <tr tal:repeat="value view/hitlist">
-        <td><span tal:content="python: value[0].payment_id[:9]"></span>...</td>
+        <td tal:content="python: value[0].payment_id[:9]">PAYMENT_ID</td>
         <td tal:content="python: layout.formatDatetime(value[0].creation_date)">CREATION DATE</td>
         <td tal:content="python: layout.formatDatetime(value[0].payment_date)">PAYMENT DATE</td>