Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_customers.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_customers.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_customers.rst	(revision 12817)
@@ -0,0 +1,35 @@
+`customers` -- Customer Section Components Package
+**************************************************
+
+(see also: :ref:`api-customers-modules`)
+
+.. automodule:: waeup.ikoba.customers
+   :members:
+   :undoc-members:
+
+.. _api-customers-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   customers/api_authentication.rst
+   customers/api_batching.rst
+   customers/api_browser.rst
+   customers/api_catalog.rst
+   customers/api_container.rst
+   customers/api_contracts.rst
+   customers/api_customer.rst
+   customers/api_documents.rst
+   customers/api_export.rst
+   customers/api_fileviewlets.rst
+   customers/api_interfaces.rst
+   customers/api_permissions.rst
+   customers/api_utils.rst
+   customers/api_viewlets.rst
+   customers/api_vocabularies.rst
+   customers/api_workflow.rst
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_fees.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_fees.rst	(revision 12060)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`fees` -- Fee Management Components Module
-******************************************
-
-.. automodule:: waeup.ikoba.fees
-   :members:
-   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_schoolgrades.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_schoolgrades.rst	(revision 12060)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`schoolgrades` -- School Grades Components Module
-*************************************************
-
-.. automodule:: waeup.ikoba.schoolgrades
-   :members:
-   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_authentication.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_authentication.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_authentication.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.authentication` - Customer Authentication Components
+***************************************************************
+
+.. automodule:: waeup.ikoba.customers.authentication
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_batching.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_batching.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_batching.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.batching` - Customer Import and Export Components
+************************************************************
+
+.. automodule:: waeup.ikoba.customers.batching
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_browser.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_browser.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_browser.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.browser` - Customer UI Components
+********************************************
+
+.. automodule:: waeup.ikoba.customers.browser
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_catalog.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_catalog.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_catalog.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.catalog` - Customer Catalog Components
+*************************************************
+
+.. automodule:: waeup.ikoba.customers.catalog
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_container.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_container.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_container.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.container` - Customers Container
+*******************************************
+
+.. automodule:: waeup.ikoba.customers.container
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_contracts.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_contracts.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_contracts.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.contracts` - Customer Contracts
+******************************************
+
+.. automodule:: waeup.ikoba.customers.contracts
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_customer.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_customer.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_customer.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.customer` - Customer Components
+******************************************
+
+.. automodule:: waeup.ikoba.customers.customer
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_documents.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_documents.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_documents.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.documents` - Customer Documents
+******************************************
+
+.. automodule:: waeup.ikoba.customers.documents
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_export.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_export.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_export.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.export` - Customer Exporters
+***************************************
+
+.. automodule:: waeup.ikoba.customers.export
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_fileviewlets.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_fileviewlets.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_fileviewlets.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.fileviewlets` - Customer Fileviewlets
+************************************************
+
+.. automodule:: waeup.ikoba.customers.fileviewlets
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_interfaces.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_interfaces.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_interfaces.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.interfaces` - Customer Related Interfaces
+****************************************************
+
+.. automodule:: waeup.ikoba.customers.interfaces
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_permissions.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_permissions.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_permissions.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.permissions` - Customer Permissions
+**********************************************
+
+.. automodule:: waeup.ikoba.customers.permissions
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_utils.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_utils.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_utils.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.utils` - Customer Utilities
+**************************************
+
+.. automodule:: waeup.ikoba.customers.utils
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_viewlets.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_viewlets.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_viewlets.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.viewlets` - Customer Browser Viewlets
+************************************************
+
+.. automodule:: waeup.ikoba.customers.viewlets
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_vocabularies.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_vocabularies.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_vocabularies.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.vocabularies` - Customer Vocabularies
+************************************************
+
+.. automodule:: waeup.ikoba.customers.vocabularies
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_workflow.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_workflow.rst	(revision 12817)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_workflow.rst	(revision 12817)
@@ -0,0 +1,6 @@
+`customers.workflow` - Customer Workflow
+****************************************
+
+.. automodule:: waeup.ikoba.customers.workflow
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst	(revision 12060)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst	(revision 12817)
@@ -20,7 +20,6 @@
    api_catalog
    api_configuration
+   api_customers
    api_datacenter
-   api_fees
-   api_image
    api_imagestorage
    api_interfaces
@@ -34,5 +33,4 @@
    api_reports
    api_schema
-   api_schoolgrades
    api_smtp
    api_sourcefactory