Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_customers.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_customers.rst	(revision 12825)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_customers.rst	(revision 12826)
@@ -34,2 +34,3 @@
    customers/api_vocabularies.rst
    customers/api_workflow.rst
+   customers/reports/api_contract_statistics.rst
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_documents.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_documents.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_documents.rst	(revision 12826)
@@ -0,0 +1,31 @@
+`documents` -- Documents Components Package
+*******************************************
+
+(see also: :ref:`api-documents-modules`)
+
+.. automodule:: waeup.ikoba.documents
+   :members:
+   :undoc-members:
+
+.. _api-documents-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   documents/api_batching.rst
+   documents/api_browser.rst
+   documents/api_catalog.rst
+   documents/api_container.rst
+   documents/api_document.rst
+   documents/api_export.rst
+   documents/api_fileviewlets.rst
+   documents/api_interfaces.rst
+   documents/api_permissions.rst
+   documents/api_utils.rst
+   documents/api_viewlets.rst
+   documents/api_workflow.rst
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_workflow.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_workflow.rst	(revision 12825)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_workflow.rst	(revision 12826)
@@ -1,4 +1,4 @@
-`customers.workflow` - Customer Workflow
-****************************************
+`customers.workflow` - Customer Workflows
+*****************************************
 
 .. automodule:: waeup.ikoba.customers.workflow
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/reports/api_contract_statistics.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/reports/api_contract_statistics.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/reports/api_contract_statistics.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`customers.reports.contract_statistics` - Customer Contract Statistics Components
+*********************************************************************************
+
+.. automodule:: waeup.ikoba.customers.reports.contract_statistics
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_batching.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_batching.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_batching.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.batching` - Documents Import and Export Components
+*************************************************************
+
+.. automodule:: waeup.ikoba.documents.batching
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_browser.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_browser.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_browser.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.browser` - Document UI Components
+********************************************
+
+.. automodule:: waeup.ikoba.documents.browser
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_catalog.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_catalog.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_catalog.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.catalog` - Document Catalog Components
+*************************************************
+
+.. automodule:: waeup.ikoba.documents.catalog
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_container.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_container.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_container.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.container` - Documents Container
+*******************************************
+
+.. automodule:: waeup.ikoba.documents.container
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_document.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_document.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_document.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.document` - Customer Document
+****************************************
+
+.. automodule:: waeup.ikoba.documents.document
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_export.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_export.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_export.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.export` - Document Exporters
+***************************************
+
+.. automodule:: waeup.ikoba.documents.export
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_fileviewlets.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_fileviewlets.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_fileviewlets.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.fileviewlets` - Document Fileviewlets
+************************************************
+
+.. automodule:: waeup.ikoba.documents.fileviewlets
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_interfaces.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_interfaces.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_interfaces.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.interfaces` - Document Related Interfaces
+****************************************************
+
+.. automodule:: waeup.ikoba.documents.interfaces
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_permissions.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_permissions.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_permissions.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.permissions` - Document Permissions
+**********************************************
+
+.. automodule:: waeup.ikoba.documents.permissions
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_utils.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_utils.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_utils.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.utils` - Document Utilities
+**************************************
+
+.. automodule:: waeup.ikoba.documents.utils
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_viewlets.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_viewlets.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_viewlets.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.viewlets` - Document Browser Viewlets
+************************************************
+
+.. automodule:: waeup.ikoba.documents.viewlets
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_workflow.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_workflow.rst	(revision 12826)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_workflow.rst	(revision 12826)
@@ -0,0 +1,6 @@
+`documents.workflow` - Document Workflow
+****************************************
+
+.. automodule:: waeup.ikoba.documents.workflow
+   :members:
+   :undoc-members:
Index: main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst	(revision 12825)
+++ main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst	(revision 12826)
@@ -22,4 +22,5 @@
    api_customers
    api_datacenter
+   api_documents
    api_imagestorage
    api_interfaces