Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_payments.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_payments.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_payments.rst	(revision 12827)
@@ -18,6 +18,14 @@
    :maxdepth: 1
 
+   payments/api_browser
+   payments/api_catalog
    payments/api_container
+   payments/api_currencies
+   payments/api_demo_provider
+   payments/api_export
    payments/api_interfaces
    payments/api_payment
    payments/api_paypal
+   payments/api_paypal_countries
+   payments/api_paypal_currencies
+
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_products.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_products.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/api_products.rst	(revision 12827)
@@ -0,0 +1,28 @@
+`products` -- Products Components Package
+*****************************************
+
+(see also: :ref:`api-products-modules`)
+
+.. automodule:: waeup.ikoba.products
+   :members:
+   :undoc-members:
+
+.. _api-products-modules:
+
+Submodules
+----------
+
+This package bundles the following modules:
+
+.. toctree::
+   :maxdepth: 1
+
+   products/api_batching.rst
+   products/api_browser.rst
+   products/api_catalog.rst
+   products/api_container.rst
+   products/api_export.rst
+   products/api_interfaces.rst
+   products/api_product.rst
+   products/api_productoptions.rst
+   products/api_viewlets.rst
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_catalog.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_catalog.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/customers/api_catalog.rst	(revision 12827)
@@ -5,2 +5,4 @@
    :members:
    :undoc-members:
+
+   .. class:: CustomerIndexes
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_batching.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_batching.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_batching.rst	(revision 12827)
@@ -1,4 +1,4 @@
-`documents.batching` - Documents Import and Export Components
-*************************************************************
+`documents.batching` - Document Import and Export Components
+************************************************************
 
 .. automodule:: waeup.ikoba.documents.batching
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_catalog.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_catalog.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_catalog.rst	(revision 12827)
@@ -5,2 +5,4 @@
    :members:
    :undoc-members:
+
+   .. class:: DocumentIndexes
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_document.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_document.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/documents/api_document.rst	(revision 12827)
@@ -1,6 +1,8 @@
-`documents.document` - Customer Document
-****************************************
+`documents.document` - Document
+*******************************
 
 .. automodule:: waeup.ikoba.documents.document
    :members:
    :undoc-members:
+
+   .. class:: DocumentIndexes
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/index.rst	(revision 12827)
@@ -32,4 +32,5 @@
    api_payments
    api_permissions
+   api_products
    api_reports
    api_schema
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_browser.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_browser.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_browser.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`payments.browser` - Payment UI Components
+******************************************
+
+.. automodule:: waeup.ikoba.payments.browser
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_catalog.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_catalog.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_catalog.rst	(revision 12827)
@@ -0,0 +1,8 @@
+`payments.catalog` - Payment Catalog Components
+***********************************************
+
+.. automodule:: waeup.ikoba.payments.catalog
+   :members:
+   :undoc-members:
+
+   .. class:: PaymentIndexes
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_demo_provider.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_demo_provider.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_demo_provider.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`payments.demo_provider` - Demo Provider
+****************************************
+
+.. automodule:: waeup.ikoba.payments.demo_provider
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_export.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_export.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_export.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`payments.export` - Payment Exporters
+*************************************
+
+.. automodule:: waeup.ikoba.payments.export
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_interfaces.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_interfaces.rst	(revision 12826)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_interfaces.rst	(revision 12827)
@@ -5,14 +5,2 @@
    :members:
    :undoc-members:
-
-   .. autointerface:: IPaymentsContainer
-      :members:
-
-   .. autointerface:: IPayment
-      :members:
-
-   .. autointerface:: ISCPayment
-      :members:
-
-   .. autointerface:: IOnlinePayment
-      :members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_paypal_countries.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_paypal_countries.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_paypal_countries.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`payments.paypal_countries` - PayPal Countries
+**********************************************
+
+.. automodule:: waeup.ikoba.payments.paypal_countries
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_paypal_currencies.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_paypal_currencies.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/payments/api_paypal_currencies.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`payments.paypal_currencies` - PayPal Currencies
+************************************************
+
+.. automodule:: waeup.ikoba.payments.paypal_currencies
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_batching.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_batching.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_batching.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.batching` - Product Import and Export Components
+**********************************************************
+
+.. automodule:: waeup.ikoba.products.batching
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_browser.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_browser.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_browser.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.browser` - Product UI Components
+******************************************
+
+.. automodule:: waeup.ikoba.products.browser
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_catalog.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_catalog.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_catalog.rst	(revision 12827)
@@ -0,0 +1,8 @@
+`products.catalog` - Products Catalog Components
+************************************************
+
+.. automodule:: waeup.ikoba.products.catalog
+   :members:
+   :undoc-members:
+
+   .. class:: ProductIndexes
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_container.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_container.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_container.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.container` - Products Container
+*****************************************
+
+.. automodule:: waeup.ikoba.products.container
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_export.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_export.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_export.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.export` - Product Exporters
+*************************************
+
+.. automodule:: waeup.ikoba.products.export
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_interfaces.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_interfaces.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_interfaces.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.interfaces` - Product Related Interfaces
+**************************************************
+
+.. automodule:: waeup.ikoba.products.interfaces
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_product.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_product.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_product.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.product` - Product
+****************************
+
+.. automodule:: waeup.ikoba.products.product
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_productoptions.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_productoptions.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_productoptions.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.productoptions` - Product Options
+*******************************************
+
+.. automodule:: waeup.ikoba.products.productoptions
+   :members:
+   :undoc-members:
Index: /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_viewlets.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_viewlets.rst	(revision 12827)
+++ /main/waeup.ikoba/trunk/docs/source/developerdocs/api/products/api_viewlets.rst	(revision 12827)
@@ -0,0 +1,6 @@
+`products.viewlets` - Product Browser Viewlets
+**********************************************
+
+.. automodule:: waeup.ikoba.products.viewlets
+   :members:
+   :undoc-members: