Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_browser.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_browser.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_browser.rst	(revision 12828)
@@ -18,10 +18,14 @@
    :maxdepth: 1
 
+   browser/api_async.rst
+   browser/api_breadcrumbs.rst
+   browser/api_captcha.rst
+   browser/api_exceptions.rst
+   browser/api_fileviewlets.rst
    browser/api_interfaces.rst
+   browser/api_layout.rst
    browser/api_pages.rst
+   browser/api_pdf.rst
+   browser/api_reports.rst
    browser/api_viewlets.rst
-   browser/api_layout.rst
-   browser/api_breadcrumbs.rst
-   browser/api_theming.rst
-   browser/api_resources.rst
-   browser/api_exceptions.rst
+   
Index: in/waeup.kofa/trunk/docs/source/developerdocs/api/api_fees.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_fees.rst	(revision 12827)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`fees` -- Fee Management Components Module
-******************************************
-
-.. automodule:: waeup.kofa.fees
-   :members:
-   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_widgets.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_widgets.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/api_widgets.rst	(revision 12828)
@@ -20,4 +20,3 @@
    widgets/api_datewidget
    widgets/api_phonewidget
-   widgets/api_restwidget
    widgets/api_objectwidget
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_async.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_async.rst	(revision 12828)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_async.rst	(revision 12828)
@@ -0,0 +1,7 @@
+`browser.async` - Browser Job Components
+****************************************
+
+.. automodule:: waeup.kofa.browser.async
+   :members:
+   :undoc-members:
+
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_breadcrumbs.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_breadcrumbs.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_breadcrumbs.rst	(revision 12828)
@@ -1,4 +1,4 @@
-`browser.breadcrumbs` - Browser Breadcrumbs
-*******************************************
+`browser.breadcrumbs` - Breadcrumbs
+***********************************
 
 .. automodule:: waeup.kofa.browser.breadcrumbs
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_captcha.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_captcha.rst	(revision 12828)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_captcha.rst	(revision 12828)
@@ -0,0 +1,6 @@
+`browser.captcha` - Captcha Components
+**************************************
+
+.. automodule:: waeup.kofa.browser.captcha
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_fileviewlets.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_fileviewlets.rst	(revision 12828)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_fileviewlets.rst	(revision 12828)
@@ -0,0 +1,6 @@
+`browser.fileviewlets` - File Viewlets
+**************************************
+
+.. automodule:: waeup.kofa.browser.fileviewlets
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_interfaces.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_interfaces.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_interfaces.rst	(revision 12828)
@@ -5,14 +5,2 @@
    :members:
    :undoc-members:
-
-   .. autointerface:: IBreadcrumb
-      :members:
-
-   .. autointerface:: IBreadcrumbIgnorable
-      :members:
-
-   .. autointerface:: IBreadcrumbContainer
-      :members:
-
-   .. autointerface:: ITheme
-      :members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_layout.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_layout.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_layout.rst	(revision 12828)
@@ -1,4 +1,4 @@
-`browser.layout` - Browser Layout
-*********************************
+`browser.layout` - Layout
+*************************
 
 .. automodule:: waeup.kofa.browser.layout
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_pages.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_pages.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_pages.rst	(revision 12828)
@@ -1,4 +1,4 @@
-`browser.pages` - Browser Pages (Views)
-***************************************
+`browser.pages` - Pages (Views)
+*******************************
 
 .. automodule:: waeup.kofa.browser.pages
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_pdf.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_pdf.rst	(revision 12828)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_pdf.rst	(revision 12828)
@@ -0,0 +1,6 @@
+`browser.pdf` - PDF Views
+*************************
+
+.. automodule:: waeup.kofa.browser.pdf
+   :members:
+   :undoc-members:
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_reports.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_reports.rst	(revision 12828)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_reports.rst	(revision 12828)
@@ -0,0 +1,6 @@
+`browser.reports` - Reports Components
+**************************************
+
+.. automodule:: waeup.kofa.browser.reports
+   :members:
+   :undoc-members:
Index: in/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_resources.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_resources.rst	(revision 12827)
+++ 	(revision )
@@ -1,7 +1,0 @@
-`browser.resources` - Browser Resources
-***************************************
-
-.. automodule:: waeup.kofa.browser.resources
-   :members:
-   :undoc-members:
-
Index: in/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_theming.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_theming.rst	(revision 12827)
+++ 	(revision )
@@ -1,7 +1,0 @@
-`browser.theming` - Browser Theming
-***********************************
-
-.. automodule:: waeup.kofa.browser.theming
-   :members:
-   :undoc-members:
-
Index: /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_viewlets.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_viewlets.rst	(revision 12827)
+++ /main/waeup.kofa/trunk/docs/source/developerdocs/api/browser/api_viewlets.rst	(revision 12828)
@@ -1,12 +1,6 @@
-`browser.viewlets` - Browser Viewlets
-*************************************
+`browser.viewlets` - Viewlets
+*****************************
 
-Probably due to a bug in Sphinx autodoc couldn't import/find some classes and
-reported error: "grokcore, please check your spelling and sys.path".
-Thus, automodule has been temporarily disabled.
-
-..
-  .. automodule:: waeup.kofa.browser.viewlets
-     :members:
-     :undoc-members:
-
+.. automodule:: waeup.kofa.browser.viewlets
+   :members:
+   :undoc-members:
Index: in/waeup.kofa/trunk/docs/source/developerdocs/api/widgets/api_restwidget.rst
===================================================================
--- /main/waeup.kofa/trunk/docs/source/developerdocs/api/widgets/api_restwidget.rst	(revision 12827)
+++ 	(revision )
@@ -1,6 +1,0 @@
-`widgets.restwidget` - ReST Widget
-**********************************
-
-.. automodule:: waeup.kofa.widgets.restwidget
-   :members:
-   :undoc-members: