Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/accesscodes/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/accesscodes/api_interfaces.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/accesscodes/api_interfaces.rst	(revision 12832)
@@ -5,10 +5,2 @@
    :members:
    :undoc-members:
-
-
-   .. autointerface:: IAccessCode
-      :members:
-   .. autointerface:: IAccessCodeBatch
-      :members:
-   .. autointerface:: IAccessCodeBatchContainer
-      :members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/applicants/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/applicants/api_interfaces.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/applicants/api_interfaces.rst	(revision 12832)
@@ -5,29 +5,2 @@
    :members:
    :undoc-members:
-
-   .. autointerface:: IApplicantsRoot
-      :members:
-
-   .. autointerface:: IApplicantsContainer
-      :members:
-
-   .. autointerface:: IApplicantsContainerAdd
-      :members:
-
-   .. autointerface:: IApplicantBaseData
-      :members:
-
-   .. autointerface:: IApplicant
-      :members:
-
-   .. autointerface:: IApplicantEdit
-      :members:
-
-   .. autointerface:: IApplicantUpdateByRegNo
-      :members:
-
-   .. autointerface:: IApplicantOnlinePayment
-      :members:
-
-   .. autointerface:: IApplicantsContainerProvider
-      :members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/hostels/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/hostels/api_interfaces.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/hostels/api_interfaces.rst	(revision 12832)
@@ -5,14 +5,2 @@
    :members:
    :undoc-members:
-
-   .. autointerface:: IHostelsContainer
-      :members:
-
-   .. autointerface:: IHostel
-      :members:
-
-   .. autointerface:: IBed
-      :members:
-
-   .. autointerface:: IBedAllocateStudent
-      :members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/index.rst	(revision 12832)
@@ -23,5 +23,4 @@
    api_configuration
    api_datacenter
-   api_fees
    api_hostels
    api_image
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/payments/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/payments/api_interfaces.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/payments/api_interfaces.rst	(revision 12832)
@@ -5,14 +5,2 @@
    :members:
    :undoc-members:
-
-   .. autointerface:: IPaymentsContainer
-      :members:
-
-   .. autointerface:: IPayment
-      :members:
-
-   .. autointerface:: ISCPayment
-      :members:
-
-   .. autointerface:: IOnlinePayment
-      :members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_interfaces.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/students/api_interfaces.rst	(revision 12832)
@@ -5,56 +5,2 @@
    :members:
    :undoc-members:
-
-   .. autointerface:: IStudentsUtils
-      :members:
-
-   .. autointerface:: IStudentsContainer
-      :members:
-
-   .. autointerface:: IStudentNavigation
-      :members:
-
-   .. autointerface:: IStudentBase
-      :members:
-
-   .. autointerface:: IStudentClearance
-      :members:
-
-   .. autointerface:: IStudentPersonal
-      :members:
-
-   .. autointerface:: IStudent
-      :members:
-
-   .. autointerface:: IStudentUpdateByRegNo
-      :members:
-
-   .. autointerface:: IStudentUpdateByMatricNo
-      :members:
-
-   .. autointerface:: IStudentStudyCourse
-      :members:
-
-   .. autointerface:: IStudentStudyLevel
-      :members:
-
-   .. autointerface:: ICourseTicket
-      :members:
-
-   .. autointerface:: ICourseTicketAdd
-      :members:
-
-   .. autointerface:: IStudentAccommodation
-      :members:
-
-   .. autointerface:: IBedTicket
-      :members:
-
-   .. autointerface:: IStudentPaymentsContainer
-      :members:
-
-   .. autointerface:: IStudentOnlinePayment
-      :members:
-
-   .. autointerface:: IStudentChangePassword
-      :members:
Index: main/waeup.kofa/trunk/docs/source/developerdocs/api/university/api_interfaces.rst
===================================================================
--- main/waeup.kofa/trunk/docs/source/developerdocs/api/university/api_interfaces.rst	(revision 12828)
+++ main/waeup.kofa/trunk/docs/source/developerdocs/api/university/api_interfaces.rst	(revision 12832)
@@ -5,41 +5,2 @@
    :members:
    :undoc-members:
-
-.. autointerface:: waeup.kofa.university.interfaces.IFaculty
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.IFacultyAdd
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.IFacultiesContainer
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.IDepartment
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.IDepartmentAdd
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICoursesContainer
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICourse
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICourseAdd
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICertificate
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICertificateAdd
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICertificatesContainer
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICertificateCourse
-   :members:
-
-.. autointerface:: waeup.kofa.university.interfaces.ICertificateCourseAdd
-   :members: